| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC2094A.ino File Reference
Analog-to-Digital Converters (ADC) » LTC23XX: 16/18-Bit Differential Input SoftSpan ADC with Wide Input Common Mode Range.

Linear Technology DC2094AA Demonstration Board. More...

## Detailed Description

Linear Technology DC2094AA Demonstration Board.

LTC2348-18: Octal, 18-Bit, 200ksps Differential ±10.24V Input SoftSpan ADC with Wide Input Common Mode Range.

Linear Technology DC2094AD Demonstration Board. LTC2348-16: Octal, 16-Bit, 200ksps Differential ±10.24V Input SoftSpan ADC with Wide Input Common Mode Range.

Linear Technology DC2520AA Demonstration Board. LTC2344-18: Quad, 18-Bit, 400ksps/ch Differential SoftSpan ADC with Wide Input Common Mode Range.

Linear Technology DC2520AB Demonstration Board. LTC2344-16: Quad, 16-Bit, 400ksps/ch Differential SoftSpan ADC with Wide Input Common Mode Range.

Linear Technology DC2365AD Demonstration Board. LTC2333-18: Buffered 8-Channel, 18-Bit, 800ksps Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AH Demonstration Board. LTC2333-16: Buffered 8-Channel, 16-Bit, 800ksps Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AB Demonstration Board. LTC2357-18: Buffered Quad, 18-Bit, 350ksps/Ch Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AF Demonstration Board. LTC2357-16: Buffered Quad, 16-Bit, 350ksps/Ch Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AA Demonstration Board. LTC2358-18: Buffered Octal, 18-Bit, 200ksps/Ch Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AE Demonstration Board. LTC2358-16: Buffered Octal, 16-Bit, 200ksps/Ch Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AC Demonstration Board. LTC2353-18: Buffered Dual, 18-Bit, 550ksps/Ch Differential ±10.24V ADC with 30VP-P Common Mode Range.

Linear Technology DC2365AG Demonstration Board. LTC2353-16: Buffered Dual, 16-Bit, 550ksps/Ch Differential ±10.24V ADC with 30VP-P Common Mode Range.

    NOTES
     Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.
       Ensure all jumpers on the demo board are installed in their default positions
       as described in Demo Manual DC2094A. Apply +/- 16V to the indicated terminals.
       Make sure the input range of channels are configured to measure according to
       the input range required.

       This code can be used for all the Family supported parts by changing num_of_channels
       and num_of_bits corresponding to each of those parts.

     Menu Entry 1: Display ADC Output Data and Calculated ADC input voltage

     Menu Entry 2: Change Configuration Settings

http://www.linear.com/product/LTC2348-18 http://www.linear.com/product/LTC2348-16 http://www.linear.com/product/LTC2344-18 http://www.linear.com/product/LTC2344-16 http://www.linear.com/product/LTC2333-18 http://www.linear.com/product/LTC2333-16 http://www.linear.com/product/LTC2357-18 http://www.linear.com/product/LTC2357-16 http://www.linear.com/product/LTC2358-18 http://www.linear.com/product/LTC2358-16 http://www.linear.com/product/LTC2353-18 http://www.linear.com/product/LTC2353-16

http://www.linear.com/product/LTC2348-18#demoboards http://www.linear.com/product/LTC2348-16#demoboards http://www.linear.com/product/LTC2344-18#demoboards http://www.linear.com/product/LTC2344-16#demoboards http://www.linear.com/product/LTC2333-18#demoboards http://www.linear.com/product/LTC2333-16#demoboards http://www.linear.com/product/LTC2357-18#demoboards http://www.linear.com/product/LTC2357-16#demoboards http://www.linear.com/product/LTC2358-18#demoboards http://www.linear.com/product/LTC2358-16#demoboards http://www.linear.com/product/LTC2353-18#demoboards http://www.linear.com/product/LTC2353-16#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2094A.ino.

Go to the source code of this file.

## Functions
static void | sneaker_port_init ()
| Configure sneaker port to talk to the ADC. More...
static uint8_t | discover_DC2094 (char *demo_name)
| Read the ID string from the EEPROM and determine if the correct board is connected. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | decode_values (uint32_t channel_data)
static void | menu1_display_adc_output ()
| Displays the ADC output and calculated voltage for all channels. More...
static void | menu2_change_softspan_range ()
| Function to change the configuration setting. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino Loop. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
union LT_union_int32_4bytes | configuration_bits
union LT_union_int32_4bytes | data
static uint8_t | num_of_channels = 8
static uint8_t | num_of_bits = 18

## Function Documentation

## ◆ decode_values()

static void decode_values | ( | uint32_t | channel_data | ) |
| static

Definition at line 287 of file DC2094A.ino.

## ◆ discover_DC2094()

static uint8_t discover_DC2094 | ( | char * | demo_name | ) |
| static

Read the ID string from the EEPROM and determine if the correct board is connected.

Returns 1 if successful, 0 if not successful

Definition at line 216 of file DC2094A.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino Loop.

Definition at line 173 of file DC2094A.ino.

## ◆ menu1_display_adc_output()

static void menu1_display_adc_output | ( |  | ) |
| static

Displays the ADC output and calculated voltage for all channels.

Definition at line 310 of file DC2094A.ino.

## ◆ menu2_change_softspan_range()

static void menu2_change_softspan_range | ( |  | ) |
| static

Function to change the configuration setting.

Definition at line 342 of file DC2094A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 266 of file DC2094A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 251 of file DC2094A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 154 of file DC2094A.ino.

## ◆ sneaker_port_init()

static void sneaker_port_init | ( |  | ) |
| static

Configure sneaker port to talk to the ADC.

Definition at line 203 of file DC2094A.ino.

## Variable Documentation

## ◆ configuration_bits

union LT_union_int32_4bytes configuration_bits

Definition at line 137 of file DC2094A.ino.

## ◆ data

union LT_union_int32_4bytes data

Definition at line 138 of file DC2094A.ino.

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 136 of file DC2094A.ino.

## ◆ num_of_bits

uint8_t num_of_bits = 18
| static

Definition at line 142 of file DC2094A.ino.

## ◆ num_of_channels

uint8_t num_of_channels = 8
| static

Definition at line 141 of file DC2094A.ino.